{% extends "base.html" %}

{% block head %}
<meta http-equiv="refresh" content="60">
{% endblock %}

{% block title %}
{{ sid }}
{% endblock %}

{% block header %}
{% endblock %}

{% block content %}
<div class="w3-white">
  <div onload="move()" id="refresh" class="w3-container w3-deep-purple" style="height:5px;width:0%"></div>
</div>
<h1 style="text-align: center;" id="content">Loading...</h1>
<script>
  var milliseconds = parseInt("{{wait_time}}");
  function convert() {
    // Convert msec to h,m,s
    var hours = Math.floor(milliseconds / 3600000);
    var minutes = Math.floor((milliseconds - (hours * 3600000)) / 60000);
    var seconds = parseInt((milliseconds - (hours * 3600000) - (minutes * 60000)) / 1000);
    var content = hours + ' h ' + minutes + ' m ' + seconds + ' s'
    document.getElementById("content").innerHTML = content;
    milliseconds = milliseconds - 1000;
  }
  setInterval(convert, 1000);
  // Refresh Progress Bar
  var elem = document.getElementById("refresh");
  var width = 0;
  var id = setInterval(frame, 10);
  function frame() {
    if (width >= 100) {
      clearInterval(id);
    } else {
      width += 0.01666;
      elem.style.width = width + '%';
    }
  }
</script>

<p>Prediction (msec): {{ wait_time }}</p>
<p>Current Location: {{ now_dist }} <a class="w3-button w3-purple w3-round-large" href="https://www.openstreetmap.org/search?query={{ raw_lat }}%2C%20{{ raw_lon }}">View</a></p>
<p>Current Time: {{ raw_time }}</p>
<p>Predictied Vehicle Data:</p>
<p>ID: {{ vehicle['id'] }}
  <a class="w3-button w3-purple w3-round-large" href="https://www.google.com/search?q=TTC%20{{ vehicle['routeTag'] }}%20{{ vehicle['dirTag'].split('_')[-1] }}%20{{ vehicle['id'] }}">Google</a>
  <a class="w3-button w3-purple w3-round-large" href='https://cptdb.ca/wiki/index.php?search=TTC%20"{{ vehicle['id'] }}"'>CPTDB Wiki (Internal)</a>
  <a class="w3-button w3-purple w3-round-large" href='https://www.google.com/search?q=site:cptdb.ca/wiki%20TTC%20"{{ vehicle['id'] }}"'>CPTDB Wiki (Google)</a>
</p>
<p>Raw Dist: {{ raw_dist }}</p>
<p style="font-family: monospace;">Raw: {{ vehicle }}</p>
<p>Debug Data: </p>
<p style="font-family: monospace;">{{ debug }}</p>
{% endblock %}